Create Webhook
Creates a new webhook for this tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>The webhook payload
application/json- body
events*array<>This array includes the event types that will trigger this Webhook. The following events are currently supported:
- OpenIdCredentialIssued: Triggered upon completion of an OID4VCI issuance flow and includes credential data.
- OpenIdCredentialIssuedSummary: Triggered upon completion of an OID4VCI issuance flow but does not include credential data.
url*stringThis is the URL that will receive the Webhook events data payload when they are triggered by MATTR VII for the specified events:
- Must be a valid URL.
- Must use the HTTPS protocol.
- Must not be an IP address.
- Must not include query parameters or have fragments.
- Non-ASCII characters are normalized.
- Must return a 2xx response, otherwise it will go through a retry cycle and eventually fail.
uridisabled?booleanIndicates whether or not the Webhook is disabled. When set to true the webhook is disabled, and notifications for events associated with it will not be sent. If no value is provided, defaults to false.
Webhook created
application/json- response
id?stringUnique identifier for the created Webhook. You will need it to verify Webhook requests.
uuidevents?array<string>List of events that trigger the Webhook, as defined in the request.
url?stringThe URL that will receive the Webhook events data payload when they are triggered, as defined in the request.
uridisabled?booleanIndicates whether ot not the Webhook is disabled. When set to true the webhook is disabled, and notifications for events associated with it will not be sent.
falsecurl -X POST "https://example.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "events": [ "OpenIdCredentialIssued" ], "url": "https://example.com" }'{ "id": "0c099611-19c4-4f29-8724-6b9e5ba1ef7c", "events": [ "OpenIdCredentialIssued" ], "url": "https://example.com", "disabled": false}How would you rate this page?
Verify custom domain POST
Verifies that you have control of the configured custom domain by examining its TXT record. <Callout> Your custom domain will not be active until you verify it. Refer to [Verify domain ownership](https://learn.mattr.global/docs/platform-management/custom-domain-overview#verify-domain-ownership) for more information. </Callout>
Retrieve all Webhooks GET
Retrieves a list of webhooks configured on the tenant.